import { Duplex } from 'readable-stream';
import SockJS from 'sockjs-client';
declare type Factory = () => Promise<Duplex>;
export interface CreateSockJsStreamOptions {
    /**
     * The SockJS URL to connect to.
     */
    url: string;
    /**
     * The timeout in milliseconds for establishing a connection.
     * Defaults to no timeout.
     */
    timeout?: number;
    /**
     * Additional SockJS options passed directly to the SockJS constructor.
     */
    sockJsOptions?: SockJS.Options;
}
/**
 * Creates a factory producing JSON-encoded client SockJS streams.
 */
export declare const createSockJsStream: ({ url, timeout, sockJsOptions, }: CreateSockJsStreamOptions) => Factory;
export {};
